Bug 1254854 - [abrt] webkitgtk4: bmalloc::Heap::allocateXLarge(std::lock_guard<bmalloc::StaticMutex>&, unsigned long, unsigned long)(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: bmalloc::Heap::allocateXLarge(std::lock_guard<bmalloc::Sta...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: webkitgtk4 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Popela
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a5993c04c25500e2e79f7f27703...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 01:39 EDT by Phoenix
Modified: 2015-09-01 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.8.5-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-01 08:19:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.80 KB, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: core_backtrace (13.69 KB, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: dso_list (13.62 KB, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: environ (1.77 KB, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: maps (89.14 KB, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: mountinfo (3.36 KB, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: open_fds (1.23 KB, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-08-19 01:39 EDT, Phoenix
no flags Details

  None (edit)
Description Phoenix 2015-08-19 01:39:00 EDT
Version-Release number of selected component:
webkitgtk4-2.8.5-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 13
crash_function: bmalloc::Heap::allocateXLarge(std::lock_guard<bmalloc::StaticMutex>&, unsigned long, unsigned long)
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     8750
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 bmalloc::Heap::allocateXLarge(std::lock_guard<bmalloc::StaticMutex>&, unsigned long, unsigned long) at /lib64/libjavascriptcoregtk-4.0.so.18
 #1 bmalloc::Allocator::allocateXLarge(unsigned long) at /lib64/libjavascriptcoregtk-4.0.so.18
 #2 WTF::fastZeroedMalloc(unsigned long) at /lib64/libjavascriptcoregtk-4.0.so.18
 #3 WTF::HashTable<unsigned int, WTF::KeyValuePair<unsigned int, WTF::RefPtr<WebCore::AccessibilityObject> >, WTF::KeyValuePairKeyExtractor<WTF::KeyValuePair<unsigned int, WTF::RefPtr<WebCore::AccessibilityObject> > >, WTF::IntHash<unsigned int>, WTF::HashMap<unsigned int, WTF::RefPtr<WebCore::AccessibilityObject>, WTF::IntHash<unsigned int>, WTF::HashTraits<unsigned int>, WTF::HashTraits<WTF::RefPtr<WebCore::AccessibilityObject> > >::KeyValuePairTraits, WTF::HashTraits<unsigned int> >::rehash(int, WTF::KeyValuePair<unsigned int, WTF::RefPtr<WebCore::AccessibilityObject> >*) at /lib64/libwebkit2gtk-4.0.so.37
 #4 WTF::HashTableAddResult<WTF::HashTableIterator<unsigned int, WTF::KeyValuePair<unsigned int, WTF::RefPtr<WebCore::AccessibilityObject> >, WTF::KeyValuePairKeyExtractor<WTF::KeyValuePair<unsigned int, WTF::RefPtr<WebCore::AccessibilityObject> > >, WTF::IntHash<unsigned int>, WTF::HashMap<unsigned int, WTF::RefPtr<WebCore::AccessibilityObject>, WTF::IntHash<unsigned int>, WTF::HashTraits<unsigned int>, WTF::HashTraits<WTF::RefPtr<WebCore::AccessibilityObject> > >::KeyValuePairTraits, WTF::HashTraits<unsigned int> > > WTF::HashMap<unsigned int, WTF::RefPtr<WebCore::AccessibilityObject>, WTF::IntHash<unsigned int>, WTF::HashTraits<unsigned int>, WTF::HashTraits<WTF::RefPtr<WebCore::AccessibilityObject> > >::inlineSet<unsigned int, WTF::RefPtr<WebCore::AccessibilityObject>&>(unsigned int&&, WTF::RefPtr<WebCore::AccessibilityObject>&) at /lib64/libwebkit2gtk-4.0.so.37
 #5 WebCore::AXObjectCache::getOrCreate(WebCore::AccessibilityRole) at /lib64/libwebkit2gtk-4.0.so.37
 #6 WebCore::AccessibilityMenuListPopup::menuListOptionAccessibilityObject(WebCore::HTMLElement*) const at /lib64/libwebkit2gtk-4.0.so.37
 #7 WebCore::AccessibilityMenuListPopup::addChildren() at /lib64/libwebkit2gtk-4.0.so.37
 #8 WebCore::HTMLSelectElement::childrenChanged(WebCore::ContainerNode::ChildChange const&) at /lib64/libwebkit2gtk-4.0.so.37
 #9 WebCore::ContainerNode::notifyChildInserted(WebCore::Node&, WebCore::ContainerNode::ChildChangeSource) at /lib64/libwebkit2gtk-4.0.so.37
Comment 1 Phoenix 2015-08-19 01:39:04 EDT
Created attachment 1064613 [details]
File: backtrace
Comment 2 Phoenix 2015-08-19 01:39:05 EDT
Created attachment 1064614 [details]
File: cgroup
Comment 3 Phoenix 2015-08-19 01:39:07 EDT
Created attachment 1064615 [details]
File: core_backtrace
Comment 4 Phoenix 2015-08-19 01:39:09 EDT
Created attachment 1064616 [details]
File: dso_list
Comment 5 Phoenix 2015-08-19 01:39:10 EDT
Created attachment 1064617 [details]
File: environ
Comment 6 Phoenix 2015-08-19 01:39:12 EDT
Created attachment 1064618 [details]
File: limits
Comment 7 Phoenix 2015-08-19 01:39:20 EDT
Created attachment 1064619 [details]
File: maps
Comment 8 Phoenix 2015-08-19 01:39:21 EDT
Created attachment 1064620 [details]
File: mountinfo
Comment 9 Phoenix 2015-08-19 01:39:22 EDT
Created attachment 1064621 [details]
File: namespaces
Comment 10 Phoenix 2015-08-19 01:39:24 EDT
Created attachment 1064622 [details]
File: open_fds
Comment 11 Phoenix 2015-08-19 01:39:25 EDT
Created attachment 1064623 [details]
File: proc_pid_status
Comment 12 Phoenix 2015-08-19 01:39:26 EDT
Created attachment 1064624 [details]
File: var_log_messages
Comment 13 Fedora Update System 2015-08-25 11:40:04 EDT
webkitgtk4-2.8.5-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14258
Comment 14 Fedora Update System 2015-08-26 13:27:11 EDT
webkitgtk4-2.8.5-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update webkitgtk4'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14258
Comment 15 Fedora Update System 2015-09-01 08:19:15 EDT
webkitgtk4-2.8.5-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.